<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html xmlns:th="https://www.thymeleaf.org">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <!-- Bootstrap CSS -->
        <!--<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">-->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
        <title>Hello, Codeworld!</title>
        <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.4/font/bootstrap-icons.css">
    </head>
    <body style="height: 100vh">
          
            <div class='container h-100' id="app">
                <div class="d-flex align-items-center justify-content-center h-100">
                    <div class="d-flex flex-column">
                        <a href="/showInstalled" class="btn btn-lg btn-primary align-self-center p-2 w-100" type="button" name="button">Show Installed Apps</a>
                        <a href="/showInstallable" class="btn btn-lg mt-1 btn-primary align-self-center p-2 w-100" type="button" name="button">Show Installable Apps</a>
                        <button onclick="updateAppDatabase();" class="btn btn-lg mt-1 btn-danger align-self-center p-2 w-100" type="button" name="button">Update App Database</button>
                    </div>
                </div>
            </div>
            <script th:inline="javascript">
                
                
            </script>
            <script>
                function updateAppDatabase(){
                    $.ajax("/updateAppDatabase",{
                        success: function(d){
                            if(d){
                                alert("app database updated");
                            }else{
                                alert("fail to update app database");
                            }
                        },
                        error: function(){
                            alert("fail to update app database");
                        }
                    });
                }
            </script>
    </body>
</html>
